Page MenuHomePhabricator

Include version of WikiPEG that supports PHP 8.0 into Parsoid in REL1_35
Open, Needs TriagePublic

Description

https://github.com/wikimedia/mediawiki-vendor/blob/REL1_35/composer.lock#L2386

wikipeg 2.0.4 has "php": "^7.2".

wikipeg 2.0.5 has "php": ">=7.2".

Event Timeline

Reedy created this task.Dec 8 2020, 11:02 PM
Reedy moved this task from Blocker to Non blocker on the MW-1.35-release board.Dec 16 2020, 12:52 AM

Change 650265 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/services/parsoid@master] [WIP] PHP 8.0 compatibility

https://gerrit.wikimedia.org/r/650265

Change 650795 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Delint two issues flagged by phan when run in PHP 8.0

https://gerrit.wikimedia.org/r/650795

Change 650799 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Remove PHPUtils::coalesce

https://gerrit.wikimedia.org/r/650799

Change 650795 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Delint two issues flagged by phan when run in PHP 8.0

https://gerrit.wikimedia.org/r/650795

Change 650799 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Remove PHPUtils::coalesce

https://gerrit.wikimedia.org/r/650799

Change 650265 merged by jenkins-bot:
[mediawiki/services/parsoid@master] PHP 8.0 compatibility

https://gerrit.wikimedia.org/r/650265

Change 651570 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a21

https://gerrit.wikimedia.org/r/651570

Change 651570 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a21

https://gerrit.wikimedia.org/r/651570

Change 653965 had a related patch set uploaded (by Reedy; owner: C. Scott Ananian):
[mediawiki/services/parsoid@REL1_35] Delint two issues flagged by phan when run in PHP 8.0

https://gerrit.wikimedia.org/r/653965

Change 653986 had a related patch set uploaded (by Reedy; owner: C. Scott Ananian):
[mediawiki/services/parsoid@REL1_35] Remove PHPUtils::coalesce

https://gerrit.wikimedia.org/r/653986

Reedy added a comment.Sun, Jan 3, 11:15 PM

rMWVDcae3cad1e182: Updating wikimedia/wikipeg (2.0.4 => 2.0.5) changed the php requirement ^7.2 for >=7.2 in MW 1.35....

Reedy added a comment.Mon, Jan 4, 12:35 AM

I've backported two out of the 3 other changes tagged to this bug...

Question if https://gerrit.wikimedia.org/r/650265 needs backporting too ontop...

Probably. But we've not checked that PHP 8.0 passes tests on Parsoid master yet, let alone actually tested it.

Reedy updated the task description. (Show Details)Mon, Jan 4, 12:36 AM
Reedy updated the task description. (Show Details)

Oh, right, yeah, we can't test Parsoid on PHP 8.0 until MW core is composer-installable on PHP 8.0, which means pulling the trigger on the monolog 2.1 upgrade. Let's wait until after the cut on Tuesday, at least?

Change 654024 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [mediawiki/services/parsoid] Enable PHP 8.0 composer job

https://gerrit.wikimedia.org/r/654024

Change 654024 merged by jenkins-bot:
[integration/config@master] Zuul: [mediawiki/services/parsoid] Enable PHP 8.0 composer job

https://gerrit.wikimedia.org/r/654024

Mentioned in SAL (#wikimedia-releng) [2021-01-04T22:48:27Z] <James_F> Zuul: [mediawiki/services/parsoid] Enable PHP 8.0 composer job T269719